A valid request URL is required to generate request examples{
"items": [
{
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"code": "<string>",
"description": "<string>",
"id": 123,
"name": "<string>"
}
],
"pageCount": 123,
"pageSize": 123,
"startIndex": 123,
"totalCount": 123
}Retrieves a list of all segments defined for the site according to any specified filter criteria and sort options.
A valid request URL is required to generate request examples{
"items": [
{
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"code": "<string>",
"description": "<string>",
"id": 123,
"name": "<string>"
}
],
"pageCount": 123,
"pageSize": 123,
"startIndex": 123,
"totalCount": 123
}JWT Authorization header using the Bearer scheme.
Used to page results from a query. Indicates the zero-based offset in the complete result set where the returned entities begin. For example, with a PageSize of 25, to get the 51st through the 75th items, startIndex=3. The default value is 0. Optional.
Used to page results from a query. Indicates the maximum number of entities to return from a query. The default value is 20 and the maximum value is 200. Optional.
The element to sort the results by and the order in which the results appear. Either ascending (a-z) or descending (z-a) order. Optional.
A set of filter expressions representing the search parameters for a query: eq=equals, ne=not equals, gt=greater than, lt = less than or equals, gt = greater than or equals, lt = less than or equals, sw = starts with, or cont = contains. Optional.
limits which fields are returned in the response body